# osgUtil::Optimizer::SpatializeGroupsVisitor Class Reference

Spatialize scene into a balanced quad/oct tree. More...

Inheritance diagram for osgUtil::Optimizer::SpatializeGroupsVisitor:

[legend]
List of all members.

## Public Types

typedef std::set< osg::Group * > | GroupsToDivideList

## Public Member Functions

| SpatializeGroupsVisitor (Optimizer *optimizer=0)
virtual void | apply (osg::Group &group)
bool | divide (unsigned int maxNumTreesPerCell=8)
bool | divide (osg::Group *group, unsigned int maxNumTreesPerCell)
bool | isOperationPermissibleForObject (const osg::Object *object) const

## Public Attributes

GroupsToDivideList | _groupsToDivideList
Optimizer * | _optimizer

## Detailed Description

Spatialize scene into a balanced quad/oct tree.

## Member Typedef Documentation

typedef std::set<osg::Group*> osgUtil::Optimizer::SpatializeGroupsVisitor::GroupsToDivideList

## Constructor & Destructor Documentation

osgUtil::Optimizer::SpatializeGroupsVisitor::SpatializeGroupsVisitor | ( | Optimizer * | optimizer = `0` | ) | `[inline]`

## Member Function Documentation

void Optimizer::SpatializeGroupsVisitor::apply | ( | osg::Group & | group | ) | `[virtual]`

bool Optimizer::SpatializeGroupsVisitor::divide | ( | osg::Group * | group,
|  | unsigned int | maxNumTreesPerCell
| ) |

bool Optimizer::SpatializeGroupsVisitor::divide | ( | unsigned int | maxNumTreesPerCell = `8` | ) |

bool osgUtil::Optimizer::SpatializeGroupsVisitor::isOperationPermissibleForObject | ( | const osg::Object * | object | ) | const`[inline]`

## Member Data Documentation

GroupsToDivideList osgUtil::Optimizer::SpatializeGroupsVisitor::_groupsToDivideList

Optimizer* osgUtil::Optimizer::SpatializeGroupsVisitor::_optimizer

The documentation for this class was generated from the following files:

- Optimizer
- Optimizer.cpp